﻿@model FoodTruck.Models.HomeViewModel
@{
    ViewBag.Title = "Mon FoodTruck";
    ViewBag.Menu = "accueil";
    int count = 0;
}
<div style="height:auto; background-color: black;">

        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
                @foreach (var actualite in Model.Actualites)
                {
                    <li data-target="#carouselExampleIndicators" data-slide-to="@count" class="@(count == 0 ? "active" : "" )"></li>
                    count++;
                }
            </ol>
            @{ 
                count = 0;
            }
            <div class="carousel-inner">
                @foreach (var actualite in Model.Actualites)
                {
                    count++;
                    <div class="@(count == 1 ? "carousel-item active" : "carousel-item" )">
                        <img class="d-block w-100" src="@actualite.imageurl" alt="First slide">
                        <div class="carousel-caption d-none d-md-block">
                            <h5>@actualite.title</h5>
                            <p>@actualite.description</p>
                        </div>
                    </div>
                }
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>

    <h3 class="text-center withThemeColor">Nos meilleurs ventes</h3>

    <div style="display: flex; flex-direction: row; justify-content: center; flex-wrap: nowrap;">
        @foreach (var produit in Model.Produits)
        {
            <div style="position: relative;">
                <div class="card " style="margin: 10px; border: 1px solid purple !important; min-width: 275px;max-width: 500px;">
                    <a href="@Url.Action("Detail", "Catalogue", new { id = produit.id_Produit })">
                        <img src="@produit.image" class="card-img-top" alt="@produit.libellecommercial" style="height : 175px;" >
                    </a>
                    <div class="card-body">
                        <p class="card-title withThemeColor">@produit.libellecommercial</p>
                        <div class="card-text spaceBetween">
                            <p> @produit.prix_unitaire €HT</p>
                            <p>
                                @{ var compteur = 0;}
                                @foreach (var item in produit.Ligne_Commande)
                                {
                                    compteur++;
                                    if (compteur <= 5)
                                    {
                                        <i class="fas fa-star" style="color:purple"></i>
                                    }
                                    else {
                                        break;
                                    }
                                }
                            </p>
                            <p class="withThemeColor">@Html.Raw(produit.prix_unitaire * 1.20) €TTC</p>
                        </div>
                   
                    </div>
                </div>
            </div>
        }
    </div>
</div>
